petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMPlexSetSNESLocalFEM

Use DMPlex's internal FEM routines to compute SNES boundary values, residual, and Jacobian.

### Synopsis

    #include "petscdmplex.h"
    #include "petscsnes.h"
    PetscErrorCode DMPlexSetSNESLocalFEM(DM dm, void *boundaryctx, void *residualctx, void *jacobianctx)

### Input Parameters

| dm | - The DM object
| boundaryctx | - the user context that will be passed to pointwise evaluation of boundary values (see PetscDSAddBoundary())
| residualctx | - the user context that will be passed to pointwise evaluation of finite element residual computations (see PetscDSSetResidual())
| jacobianctx | - the user context that will be passed to pointwise evaluation of finite element Jacobian construction (see PetscDSSetJacobian())

### Level

developer

### Location

src/snes/utils/dmplexsnes.c

### Examples

src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex56.c.html
src/snes/examples/tutorials/ex62.c.html
src/snes/examples/tutorials/ex77.c.html
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages